# Welcome to MkDocs

For full documentation visit [mkdocs.org](https://www.mkdocs.org).

## Commands

* `mkdocs new [dir-name]` - Create a new project.
* `mkdocs serve` - Start the live-reloading docs server.
* `mkdocs build` - Build the documentation site.
* `mkdocs -h` - Print help message and exit.

## Project layout

    mkdocs.yml    # The configuration file.
    docs/
        index.md  # The documentation homepage.
        ...       # Other markdown pages, images and other files.
# Homepage

Here you can find all the documentation/ notes of all my work.

## Contents

|Page Name|Content|
|:-------:|:-----:|
|[Custom-Python-Library](https://ronakr14.github.io/Documentation/Custom-Python-Library/)|Custom methods integrating famous and frequently used libraries.|
|[DateManager](https://ronakr14.github.io/Documentation/DateManager/)|Custom methods used for datetime operations|
|[ExcelManager](https://ronakr14.github.io/Documentation/ExcelManager/)|Custom methods for managing excel files.|
|[LogManager](https://ronakr14.github.io/Documentation/LogManager/)|Custom methods for managing logs.|

# *Custom Python Library*

Custom methods integrating famous and frequently used libraries.

## `Installation`

    pip install RR-Custom-Python-Library

## `Logging`

All of the above class utilizes a logging mechanism provided by log_manager for capturing important events during the process. Ensure you have the appropriate logger configuration to capture and manage log messages effectively.

## `Dependencies`
- pandas: A powerful data manipulation library in Python used extensively for data analysis and manipulation.
- logging: The Python standard library module used for logging functionality.

## `Author`
- This module is maintained by Ronak Rathore.
